%global momorel 1
Summary: IO-stringy module for perl 
Name: perl-IO-stringy
Version: 2.110
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
%NoSource 0 http://www.cpan.org/modules/by-module/IO//IO-stringy-%{version}.tar.gz 2e6a976cfa5521e815c1fdf4006982de
Url: http://www.cpan.org/authors/id/E/ER/ERYQ/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.5
BuildArch: noarch

%description
IO-stringy module for perl

%prep
%setup -q -n IO-stringy-%{version} 

%build
CFLAGS="%optflags" perl Makefile.PL
make
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_sitearch}/auto/IO-stringy/.packlist
rm -f %{buildroot}%{perl_sitearch}/auto/IO/Stringy/.packlist
rm -f %{buildroot}%{perl_sitelib}/IO/Scalar.pm.html

%files
%defattr(-,root,root)
%doc README* MANIFEST
%{_mandir}/man3/*.3*
%{perl_sitelib}/IO/*.pm

%changelog
* Sun May 07 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.110-1m)
- update 2.110
- change source URI

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.109-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.109-1m)
- version up to 2.109
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.108-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.108-6m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.108-5m)
- revised spec for rpm 4.2.

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.108-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.108-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.108-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.108-1m)
- rebuild against perl-5.8.0

* Wed Mar 13 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.220-4k)

* Wed Jan 16 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.220-2k)
- Kondarize.

* Sun Aug 26 2001 Ramiro Morales <rmpms@usa.net>
- Build on RHL 6.2
- Buildarch noarch
- Include docs
- s/Copyright/License/

* Sun Aug 26 2001 root <root@redhat.com>
- Spec file was autogenerated. 
